您现在的位置: Tracy‘Blog > 博客 > Linux > 正文
Linux install libnfc

事情经过是,看他们用linux dota2,我每次都得换个系统来玩,不爽,然后~~~就开始折腾我那kali,glibc版本过低啊、gtk啊等等等等问题全出来了。这还不算,完了后,手贱又开始倒腾双显卡,开始装显卡驱动。于是,出事了。gnome~~GG了。

然后,在比赛前一天晚上各种装系统、搭环境。把要用的全放上去。。。然而,这两天,想起acr122u。想来倒腾一下,结果发现BackBox上没有libnfc。就有了这篇文章~~~




依赖关系,比如libusb之类的,全部都apt-get装上吧。
libnfc安装:
http://blog.csdn.net/fengshuiyue/article/details/37725251

acr122u驱动安装:

http://www.acs.com.hk/cn/products/73/acr122u-nfc-%E9%9D%9E%E6%8E%A5%E8%A7%A6%E5%BC%8F%E6%99%BA%E8%83%BD%E5%8D%A1%E8%AF%BB%E5%86%99%E5%99%A8/

wget http://www.acs.com.hk/download-driver-unified/6260/ACS-Unified-Driver-Lnx-Mac-110-P.zip
unzip ACS-Unified-Driver-Lnx-Mac-110-P.zip
cd ACS-Unified-Driver-Lnx-Mac-110-P/
tar -xvjf  acsccid-1.1.0.tar.bz2
cd acsccid-1.1.0
./configure
make 
sudo make install 


mfoc 安装:
git clone  https://github.com/nfc-tools/mfoc
cd mfoc/
autoreconf -vis
./configure 
make
sudo make install




就当记录。

对,还有gdb降级的事情。唔,因为要用peda,里面用的是py2-debug,然而,ubuntu14.04中自带的gdb是7.71,支持的是py3.所以,得降下来才行。

于是:

用ubuntu 12.04的源代替现在的源。

apt-get updata

apt-get remove gdb

apt-get install gdb

就好了。。。



——Tracy_梓朋

2015年04月26日15:43:09

发表评论(1)
1楼 CRoot  发表于  2015-6-9 8:42:16
你的源替换了 那其他的软件怎么更新?
[博主回复]  先替换成12.04,装好低版本的gdb后再把源改回去。而后echo "gdb hold" | sudo dpkg --set-selections 让gdb不再自动更新。
姓名 *
电子邮件
QQ
评论内容 *
验证码 *图片看不清?点击重新得到验证码请输入图片后链接字符‘a’